Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519174 - [Web-Admin] Alerts count for a volume shows negative value (-1)
Summary: [Web-Admin] Alerts count for a volume shows negative value (-1)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-30 10:42 UTC by Prasad Desala
Modified: 2018-11-05 14:12 UTC (History)
10 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-15 12:51:10 UTC


Attachments (Terms of Use)
Alerts_negative value (deleted)
2017-11-30 10:42 UTC, Prasad Desala
no flags Details


Links
System ID Priority Status Summary Last Updated
Github https://github.com/Tendrl ui issues 773 None None None 2018-01-10 04:49:41 UTC

Description Prasad Desala 2017-11-30 10:42:28 UTC
Created attachment 1360848 [details]
Alerts_negative value

Description of problem:
=======================
Clusters --> Select Cluster ID --> select volumes tab --> Alerts count for a volume shows negative value (-1). 

Version-Release number of selected component (if applicable):
=============================================================
tendrl-monitoring-integration-1.5.4-8.el7rhgs.noarch
tendrl-commons-1.5.4-5.el7rhgs.noarch
tendrl-api-httpd-1.5.4-3.el7rhgs.noarch
tendrl-selinux-1.5.4-1.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-8.el7rhgs.noarch
tendrl-notifier-1.5.4-5.el7rhgs.noarch
tendrl-node-agent-1.5.4-8.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-1.el7rhgs.noarch
tendrl-ansible-1.5.4-2.el7rhgs.noarch
tendrl-api-1.5.4-3.el7rhgs.noarch

How reproducible:
=================
1/1

Steps to Reproduce:
===================
1) Have a configured RHGSWA setup with an existing gluster volume created.
2) Bring down few bricks and wait till the Grafana dashboard brick status gets reflected.
3) Add few brick to the gluster volume and check Grafana dashboard for the newly added bricks.
4) Trigger rebalance using below command,
gluster volume <volname> rebalance start force.
5) Rebalance has failed in this case, check for the alerts by navigating to below path in RHGSWA

Clusters --> Select Cluster ID --> select volumes tab --> Alerts 

Actual results:
===============
For the volume under test "prasad", alerts count shows negative value (-1). 

Expected results:
=================
Alerts count should not be showed in negative values.

Additional info:
=================
Attaching screen shot.

Comment 3 Neha Gupta 2018-01-02 06:00:58 UTC
@Prasad, Please share the API response received for "/clusters/:clusterId/volumes/".

Comment 8 Martin Bukatovic 2018-08-07 19:04:03 UTC
I propose to close this BZ with insufficient data resolution, because:

1) Nobody was able to reproduce this problem since it was 1st reported, which
includes:

 * Rochelle on 2017-12-08 , see comment 2
 * gowtham on 2018-01-12, see comment 4
 * Filip on 2018-07-09, see comment 7

2) There is no evidence that any development happened which would result in
any code change in RHGS WA because of this.

Comment 10 Anand Paladugu 2018-08-15 02:58:09 UTC
PM ack is already set on this BZ to be dropped.

Comment 11 Martin Bukatovic 2018-08-15 12:51:10 UTC
I'm closing this BZ (see comment 8 for details on why), as was discussed on
program meeting on 2018-08-14. Both development (Nishanth) and product management
(Anand) agrees.


Note You need to log in before you can comment on or make changes to this bug.